For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deployed State

This contains APIs for tracking changeSet deployment status

Get Deployed State

post

Status of changeset deployment as part of execution with comparison to earlier state.

Path parameters
orgstringRequired

Organization identifier

projectstringRequired

Project identifier

dbschemastring · max: 128Required

Identifier of the database schema

dbinstancestringRequired

database instance unique id

Query parameters
pageinteger · int64Optional

Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

Default: 0
limitinteger · max: 100Optional

Pagination: Number of items to return.

Default: 10
Header parameters
Harness-AccountstringOptional

Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

Body

Input for getting execution deployed states

pipelinestringRequired

identifier of the pipeline

planExecutionIdstringRequired
stageExecutionIdstringRequired
startTimeinteger · int64Optional

start time of step execution

Default: 0
stepTypestring · enumRequiredPossible values:
Responses
200

Response

application/json
post/v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/instance/{dbinstance}/deployedState
POST /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/instance/{dbinstance}/deployedState HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "pipeline": "text",
  "planExecutionId": "text",
  "stageExecutionId": "text",
  "startTime": 0,
  "stepType": "DBSchemaApply"
}
[
  {
    "author": "text",
    "changeSetFQN": "text",
    "changeSetId": "text",
    "command": "Update",
    "comment": "text",
    "deployedAt": 1,
    "deployedInCurrentExecution": true,
    "fileName": "text",
    "label": "text",
    "metadata": {
      "pipeline": "text",
      "planExecutionId": "text",
      "stageExecutionId": "text"
    },
    "status": "IN_PROGRESS",
    "tag": "text"
  }
]

Last updated

Was this helpful?